<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('service_cost_usages', function (Blueprint $table) {
            $table->id();
            $table->double('cost', 5, 5);
            $table->string('name');
            $table->string('reference_1')->nullable();
            $table->string('reference_2')->nullable();
            $table->jsonb('output');
            $table->text('input_1')->nullable();
            $table->text('input_2')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('service_cost_usages');
    }
};
